# vim: set ft=spec: -*- spec -*-
# $Id: xscreensaver,v 1.21 2006/02/11 21:30:30 raorn Exp $

%define _libexecdir /usr/libexec

# xscreensaver RPM macros
%define xss_hack_dir	%_libexecdir/%name
%define xss_conf_dir	%_datadir/%name/config
%define xss_ad_dir	%_sysconfdir/X11/%name/hack.d

%define _update_xscreensaver_bin %_bindir/update-%name
%define update_xscreensaver	[ "$1" = 1 -a -x %_update_xscreensaver_bin ] && %_update_xscreensaver_bin ||:
%define clean_xscreensaver	[ -x %_update_xscreensaver_bin ] && %_update_xscreensaver_bin ||:
#

Name: xscreensaver
Version: 5.01
Release: alt1
Summary: A screen saver and locker for the X window system
License: BSD
Group: Graphical desktop/Other
Url: http://www.jwz.org/%name
Packager: Sir Raorn <raorn@altlinux.ru>

# GIT repo git.alt:/people/raorn/packages/xscreensaver.git
Source: %name-%version-%release.tar
Source1: %name-%version-ad.tar

Source2: %name.pamd
Source3: %name-update.sh

Requires: xli urlview
Requires: %name-hack
Provides: %name-contrib = %version-%release
Obsoletes: %name-contrib

# Depends on Patch1
%set_autoconf_version 2.5
BuildPreReq: autoconf_2.5

# Automatically added by buildreq on Sat Jan 28 2006 and filtered by raorn
BuildRequires: bc glib2-devel libICE-devel libSM-devel libX11-devel libXext-devel libXinerama-devel libXmu-devel libXpm-devel libXrandr-devel libXrender-devel libXt-devel libXxf86misc-devel libXxf86vm-devel libatk-devel libcairo-devel libglade2-devel libgle-devel libgtk+2-devel libjpeg-devel libmesa-devel libpam-devel libpango-devel libxml2-devel pam_userpass-devel pkg-config xorg-x11-proto-devel zlib-devel

%description
A modular screen saver and locker for the X Window System.
Highly customizable: allows the use of any program that
can draw on the root window as a display mode.

%package devel
Summary: A screen saver and locker for the X window system - RPM macros
Group: Development/Other
Conflicts: %name > %version-%release
Conflicts: %name < %version-%release
PreReq: %_sysconfdir/rpm/macros.d

%description devel
A modular screen saver and locker for the X Window System.
Highly customizable: allows the use of any program that
can draw on the root window as a display mode.

This package contains RPM macros needed to build packages
for additional xscreensaver hacks.

%package hacks
Summary: A screen saver and locker for the X window system - standard hacks
Group: Graphical desktop/Other
Requires: %name = %version-%release
Provides: %name-hack = %version-%release
# By webcollage...
Requires: netpbm libjpeg-utils
# By noseguy and phosphor
Requires: fortune-mod

%description hacks
A modular screen saver and locker for the X Window System.
Highly customizable: allows the use of any program that
can draw on the root window as a display mode.

This package contains standard hacks.

%package hacks-gl
Summary: A screen saver and locker for the X window system - GL hacks
Group: Graphical desktop/Other
Requires: %name = %version-%release
Provides: %name-hack = %version-%release
Provides: %name-gl = %version-%release
Obsoletes: %name-gl
# By starwars
Requires: fortune-mod

%description hacks-gl
A modular screen saver and locker for the X Window System.
Highly customizable: allows the use of any program that
can draw on the root window as a display mode.

This package contains OpenGL hacks.

%package frontend
Summary: A screen saver and locker for the X window system - configuration frontend
Group: Graphical desktop/Other
Requires: %name = %version-%release
Provides: %name-gnome = %version-%release
Obsoletes: %name-gnome

%description frontend
A modular screen saver and locker for the X Window System.
Highly customizable: allows the use of any program that
can draw on the root window as a display mode.

This package contains xscreensaver configuration frontend.

%prep
%setup -q -n %name-%version-%release

%build
%__autoconf
%configure \
  --without-motif \
  --with-pam \
  --without-shadow \
  --with-gl \
  --without-pixbuf \
  --without-mit-ext

%make_build

%install
%__mkdir_p %buildroot{%_bindir,%_sysconfdir/{rpm/macros.d,X11/{app-defaults,%name}},%_sysconfdir/pam.d,%_datadir/pixmaps}
%make_install install_prefix=%buildroot \
  KDEDIR=%_prefix \
  GNOME_BINDIR=%_bindir \
  AD_DIR=%_sysconfdir/X11/app-defaults \
  install

%__install -m640 %SOURCE2 %buildroot%_sysconfdir/pam.d/%name
%__install -m755 %SOURCE3 %buildroot%_bindir/update-%name

%__cat <<EOF >%buildroot%_sysconfdir/rpm/macros.d/%name
%%xss_hack_dir	%xss_hack_dir	
%%xss_conf_dir	%xss_conf_dir	
%%xss_ad_dir	%xss_ad_dir	

%%_update_xscreensaver_bin %_bindir/update-%name
%%update_xscreensaver	[ "\$1" = 1 -a -x %_update_xscreensaver_bin ] && %_update_xscreensaver_bin ||:
%%clean_xscreensaver	[ -x %_update_xscreensaver_bin ] && %_update_xscreensaver_bin ||:
EOF

%__tar xf %SOURCE1 -C %buildroot%_sysconfdir/X11/%name

%find_lang %name

%triggerpostun -- %name < 4.22-alt2, %name-hacks < 4.22-alt2, %name-hacks-gl < 4.22-alt2, %name-hacks-rss_glx < 0.7.4-alt3.1.2
[ $2 -gt 0 ] || exit 0
[ -x %_update_xscreensaver_bin ] && %_update_xscreensaver_bin ||:

%post
%update_xscreensaver

%post hacks
%update_xscreensaver

%post hacks-gl
%update_xscreensaver

%post frontend
%update_menus

%postun hacks
%clean_xscreensaver

%postun hacks-gl
%clean_xscreensaver

%postun frontend
%clean_menus

%files
%doc README README.hacking
%verify(not md5 size mtime) %ghost %config(missingok) %_sysconfdir/X11/app-defaults/XScreenSaver
%dir %_sysconfdir/X11/%name
%dir %xss_ad_dir
%config %xss_ad_dir/cosmos.xss
%config %xss_ad_dir/electricsheep.xss
%config %xss_ad_dir/goban.xss
%config %xss_ad_dir/fireflies.xss
%config %xss_ad_dir/sphereeversion.xss
%config %xss_ad_dir/xaos.xss
%config %xss_ad_dir/xdaliclock.xss
%config %xss_ad_dir/xmountains.xss
%config %xss_ad_dir/xplanet.xss
%config %xss_ad_dir/xsnow.xss
%config %_sysconfdir/X11/%name/%name.top
%config %_sysconfdir/X11/%name/%name.bottom
%attr(640,root,chkpwd) %config(noreplace) %_sysconfdir/pam.d/*
%attr(2711,root,chkpwd) %_bindir/%name
%_bindir/%name-command
%_bindir/%name-getimage
%_bindir/%name-getimage-file
%_bindir/%name-getimage-video
%_bindir/%name-text
%_bindir/update-%name
%_man1dir/%name.1*
%_man1dir/%name-command.1*
%_man1dir/%name-getimage.1*
%_man1dir/%name-getimage-file.1*
%_man1dir/%name-getimage-video.1*
%_man1dir/%name-text.1*

%dir %_datadir/%name
%_datadir/%name/*
%exclude %xss_conf_dir
%exclude %xss_conf_dir/*
%dir %xss_conf_dir
%doc %xss_conf_dir/README
%dir %xss_hack_dir

%xss_hack_dir/ljlatest
%_man6dir/ljlatest.6*

%files frontend -f %name.lang
%_bindir/%name-demo
%_man1dir/%name-demo.1*
%_datadir/applications/gnome-screensaver-properties.desktop
%_datadir/pixmaps/%name.xpm

%files devel
%_sysconfdir/rpm/macros.d/%name

%files hacks
%config %xss_ad_dir/anemone.xss
%xss_hack_dir/anemone
%xss_conf_dir/anemone.xml
%_man6dir/anemone.6*

%config %xss_ad_dir/anemotaxis.xss
%xss_hack_dir/anemotaxis
%xss_conf_dir/anemotaxis.xml
%_man6dir/anemotaxis.6*

%config %xss_ad_dir/apollonian.xss
%xss_hack_dir/apollonian
%xss_conf_dir/apollonian.xml
%_man6dir/apollonian.6*

%config %xss_ad_dir/apple2.xss
%xss_hack_dir/apple2
%xss_conf_dir/apple2.xml
%_man6dir/apple2.6*

%config %xss_ad_dir/attraction.xss
%xss_hack_dir/attraction
%xss_conf_dir/attraction.xml
%_man6dir/attraction.6*

%config %xss_ad_dir/barcode.xss
%xss_hack_dir/barcode
%xss_conf_dir/barcode.xml
%_man6dir/barcode.6*

%config %xss_ad_dir/blaster.xss
%xss_hack_dir/blaster
%xss_conf_dir/blaster.xml
%_man6dir/blaster.6*

%config %xss_ad_dir/blitspin.xss
%xss_hack_dir/blitspin
%xss_conf_dir/blitspin.xml
%_man6dir/blitspin.6*

%config %xss_ad_dir/bouboule.xss
%xss_hack_dir/bouboule
%xss_conf_dir/bouboule.xml
%_man6dir/bouboule.6*

%config %xss_ad_dir/boxfit.xss
%xss_hack_dir/boxfit
%xss_conf_dir/boxfit.xml
%_man6dir/boxfit.6*

%config %xss_ad_dir/braid.xss
%xss_hack_dir/braid
%xss_conf_dir/braid.xml
%_man6dir/braid.6*

%config %xss_ad_dir/bsod.xss
%xss_hack_dir/bsod
%xss_conf_dir/bsod.xml
%_man6dir/bsod.6*

%config %xss_ad_dir/bubbles.xss
%xss_hack_dir/bubbles
%xss_conf_dir/bubbles.xml
%_man6dir/bubbles.6*

%config %xss_ad_dir/bumps.xss
%xss_hack_dir/bumps
%xss_conf_dir/bumps.xml
%_man6dir/bumps.6*

%config %xss_ad_dir/ccurve.xss
%xss_hack_dir/ccurve
%xss_conf_dir/ccurve.xml
%_man6dir/ccurve.6*

%config %xss_ad_dir/celtic.xss
%xss_hack_dir/celtic
%xss_conf_dir/celtic.xml
%_man6dir/celtic.6*

%config %xss_ad_dir/cloudlife.xss
%xss_hack_dir/cloudlife
%xss_conf_dir/cloudlife.xml
%_man6dir/cloudlife.6*

%config %xss_ad_dir/compass.xss
%xss_hack_dir/compass
%xss_conf_dir/compass.xml
%_man6dir/compass.6*

%config %xss_ad_dir/coral.xss
%xss_hack_dir/coral
%xss_conf_dir/coral.xml
%_man6dir/coral.6*

%config %xss_ad_dir/critical.xss
%xss_hack_dir/critical
%xss_conf_dir/critical.xml
%_man6dir/critical.6*

%config %xss_ad_dir/crystal.xss
%xss_hack_dir/crystal
%xss_conf_dir/crystal.xml
%_man6dir/crystal.6*

%config %xss_ad_dir/cynosure.xss
%xss_hack_dir/cynosure
%xss_conf_dir/cynosure.xml
%_man6dir/cynosure.6*

%config %xss_ad_dir/decayscreen.xss
%xss_hack_dir/decayscreen
%xss_conf_dir/decayscreen.xml
%_man6dir/decayscreen.6*

%config %xss_ad_dir/deco.xss
%xss_hack_dir/deco
%xss_conf_dir/deco.xml
%_man6dir/deco.6*

%config %xss_ad_dir/deluxe.xss
%xss_hack_dir/deluxe
%xss_conf_dir/deluxe.xml
%_man6dir/deluxe.6*

%config %xss_ad_dir/demon.xss
%xss_hack_dir/demon
%xss_conf_dir/demon.xml
%_man6dir/demon.6*

%config %xss_ad_dir/discrete.xss
%xss_hack_dir/discrete
%xss_conf_dir/discrete.xml
%_man6dir/discrete.6*

%config %xss_ad_dir/distort.xss
%xss_hack_dir/distort
%xss_conf_dir/distort.xml
%_man6dir/distort.6*

%config %xss_ad_dir/drift.xss
%xss_hack_dir/drift
%xss_conf_dir/drift.xml
%_man6dir/drift.6*

%config %xss_ad_dir/epicycle.xss
%xss_hack_dir/epicycle
%xss_conf_dir/epicycle.xml
%_man6dir/epicycle.6*

%config %xss_ad_dir/eruption.xss
%xss_hack_dir/eruption
%xss_conf_dir/eruption.xml
%_man6dir/eruption.6*

%config %xss_ad_dir/euler2d.xss
%xss_hack_dir/euler2d
%xss_conf_dir/euler2d.xml
%_man6dir/euler2d.6*

%config %xss_ad_dir/fadeplot.xss
%xss_hack_dir/fadeplot
%xss_conf_dir/fadeplot.xml
%_man6dir/fadeplot.6*

%config %xss_ad_dir/fiberlamp.xss
%xss_hack_dir/fiberlamp
%xss_conf_dir/fiberlamp.xml
%_man6dir/fiberlamp.6*

%config %xss_ad_dir/fireworkx.xss
%xss_hack_dir/fireworkx
%xss_conf_dir/fireworkx.xml
%_man6dir/fireworkx.6*

%config %xss_ad_dir/flag.xss
%xss_hack_dir/flag
%xss_conf_dir/flag.xml
%_man6dir/flag.6*

%config %xss_ad_dir/flame.xss
%xss_hack_dir/flame
%xss_conf_dir/flame.xml
%_man6dir/flame.6*

%config %xss_ad_dir/flow.xss
%xss_hack_dir/flow
%xss_conf_dir/flow.xml
%_man6dir/flow.6*

%config %xss_ad_dir/fluidballs.xss
%xss_hack_dir/fluidballs
%xss_conf_dir/fluidballs.xml
%_man6dir/fluidballs.6*

%config %xss_ad_dir/fontglide.xss
%xss_hack_dir/fontglide
%xss_conf_dir/fontglide.xml
%_man6dir/fontglide.6*

%config %xss_ad_dir/forest.xss
%xss_hack_dir/forest
%xss_conf_dir/forest.xml
%_man6dir/forest.6*

%config %xss_ad_dir/fuzzyflakes.xss
%xss_hack_dir/fuzzyflakes
%xss_conf_dir/fuzzyflakes.xml
%_man6dir/fuzzyflakes.6*

%config %xss_ad_dir/galaxy.xss
%xss_hack_dir/galaxy
%xss_conf_dir/galaxy.xml
%_man6dir/galaxy.6*

%config %xss_ad_dir/goop.xss
%xss_hack_dir/goop
%xss_conf_dir/goop.xml
%_man6dir/goop.6*

%config %xss_ad_dir/grav.xss
%xss_hack_dir/grav
%xss_conf_dir/grav.xml
%_man6dir/grav.6*

%config %xss_ad_dir/greynetic.xss
%xss_hack_dir/greynetic
%xss_conf_dir/greynetic.xml
%_man6dir/greynetic.6*

%config %xss_ad_dir/halftone.xss
%xss_hack_dir/halftone
%xss_conf_dir/halftone.xml
%_man6dir/halftone.6*

%config %xss_ad_dir/halo.xss
%xss_hack_dir/halo
%xss_conf_dir/halo.xml
%_man6dir/halo.6*

%config %xss_ad_dir/helix.xss
%xss_hack_dir/helix
%xss_conf_dir/helix.xml
%_man6dir/helix.6*

%config %xss_ad_dir/hopalong.xss
%xss_hack_dir/hopalong
%xss_conf_dir/hopalong.xml
%_man6dir/hopalong.6*

%config %xss_ad_dir/hyperball.xss
%xss_hack_dir/hyperball
%xss_conf_dir/hyperball.xml
%_man6dir/hyperball.6*

%config %xss_ad_dir/hypercube.xss
%xss_hack_dir/hypercube
%xss_conf_dir/hypercube.xml
%_man6dir/hypercube.6*

%config %xss_ad_dir/ifs.xss
%xss_hack_dir/ifs
%xss_conf_dir/ifs.xml
%_man6dir/ifs.6*

%config %xss_ad_dir/imsmap.xss
%xss_hack_dir/imsmap
%xss_conf_dir/imsmap.xml
%_man6dir/imsmap.6*

%config %xss_ad_dir/interaggregate.xss
%xss_hack_dir/interaggregate
%xss_conf_dir/interaggregate.xml
%_man6dir/interaggregate.6*

%config %xss_ad_dir/interference.xss
%xss_hack_dir/interference
%xss_conf_dir/interference.xml
%_man6dir/interference.6*

%config %xss_ad_dir/intermomentary.xss
%xss_hack_dir/intermomentary
%xss_conf_dir/intermomentary.xml
%_man6dir/intermomentary.6*

%config %xss_ad_dir/jigsaw.xss
%xss_hack_dir/jigsaw
%xss_conf_dir/jigsaw.xml
%_man6dir/jigsaw.6*

%config %xss_ad_dir/juggle.xss
%xss_hack_dir/juggle
%xss_conf_dir/juggle.xml
%_man6dir/juggle.6*

%config %xss_ad_dir/julia.xss
%xss_hack_dir/julia
%xss_conf_dir/julia.xml
%_man6dir/julia.6*

%config %xss_ad_dir/kaleidescope.xss
%xss_hack_dir/kaleidescope
%xss_conf_dir/kaleidescope.xml
%_man6dir/kaleidescope.6*

%config %xss_ad_dir/kumppa.xss
%xss_hack_dir/kumppa
%xss_conf_dir/kumppa.xml
%_man6dir/kumppa.6*

%config %xss_ad_dir/laser.xss
%xss_hack_dir/laser
%xss_conf_dir/laser.xml
%_man6dir/laser.6*

%config %xss_ad_dir/lightning.xss
%xss_hack_dir/lightning
%xss_conf_dir/lightning.xml
%_man6dir/lightning.6*

%config %xss_ad_dir/lisa.xss
%xss_hack_dir/lisa
%xss_conf_dir/lisa.xml
%_man6dir/lisa.6*

%config %xss_ad_dir/lissie.xss
%xss_hack_dir/lissie
%xss_conf_dir/lissie.xml
%_man6dir/lissie.6*

%config %xss_ad_dir/lmorph.xss
%xss_hack_dir/lmorph
%xss_conf_dir/lmorph.xml
%_man6dir/lmorph.6*

%config %xss_ad_dir/loop.xss
%xss_hack_dir/loop
%xss_conf_dir/loop.xml
%_man6dir/loop.6*

%config %xss_ad_dir/maze.xss
%xss_hack_dir/maze
%xss_conf_dir/maze.xml
%_man6dir/maze.6*

%config %xss_ad_dir/memscroller.xss
%xss_hack_dir/memscroller
%xss_conf_dir/memscroller.xml
%_man6dir/memscroller.6*

%config %xss_ad_dir/metaballs.xss
%xss_hack_dir/metaballs
%xss_conf_dir/metaballs.xml
%_man6dir/metaballs.6*

%config %xss_ad_dir/mismunch.xss
%xss_hack_dir/mismunch
%xss_conf_dir/mismunch.xml
%_man6dir/mismunch.6*

%config %xss_ad_dir/moire.xss
%xss_hack_dir/moire
%xss_conf_dir/moire.xml
%_man6dir/moire.6*

%config %xss_ad_dir/moire2.xss
%xss_hack_dir/moire2
%xss_conf_dir/moire2.xml
%_man6dir/moire2.6*

%config %xss_ad_dir/mountain.xss
%xss_hack_dir/mountain
%xss_conf_dir/mountain.xml
%_man6dir/mountain.6*

%config %xss_ad_dir/munch.xss
%xss_hack_dir/munch
%xss_conf_dir/munch.xml
%_man6dir/munch.6*

%config %xss_ad_dir/nerverot.xss
%xss_hack_dir/nerverot
%xss_conf_dir/nerverot.xml
%_man6dir/nerverot.6*

%config %xss_ad_dir/noseguy.xss
%xss_hack_dir/noseguy
%xss_conf_dir/noseguy.xml
%_man6dir/noseguy.6*

%config %xss_ad_dir/pacman.xss
%xss_hack_dir/pacman
%xss_conf_dir/pacman.xml
%_man6dir/pacman.6*

%config %xss_ad_dir/pedal.xss
%xss_hack_dir/pedal
%xss_conf_dir/pedal.xml
%_man6dir/pedal.6*

%config %xss_ad_dir/penetrate.xss
%xss_hack_dir/penetrate
%xss_conf_dir/penetrate.xml
%_man6dir/penetrate.6*

%config %xss_ad_dir/penrose.xss
%xss_hack_dir/penrose
%xss_conf_dir/penrose.xml
%_man6dir/penrose.6*

%config %xss_ad_dir/petri.xss
%xss_hack_dir/petri
%xss_conf_dir/petri.xml
%_man6dir/petri.6*

%config %xss_ad_dir/phosphor.xss
%xss_hack_dir/phosphor
%xss_conf_dir/phosphor.xml
%_man6dir/phosphor.6*

%config %xss_ad_dir/piecewise.xss
%xss_hack_dir/piecewise
%xss_conf_dir/piecewise.xml
%_man6dir/piecewise.6*

%config %xss_ad_dir/polyominoes.xss
%xss_hack_dir/polyominoes
%xss_conf_dir/polyominoes.xml
%_man6dir/polyominoes.6*

%config %xss_ad_dir/pong.xss
%xss_hack_dir/pong
%xss_conf_dir/pong.xml
%_man6dir/pong.6*

%config %xss_ad_dir/popsquares.xss
%xss_hack_dir/popsquares
%xss_conf_dir/popsquares.xml
#_man6dir/man1/popsquares.6*

%config %xss_ad_dir/pyro.xss
%xss_hack_dir/pyro
%xss_conf_dir/pyro.xml
%_man6dir/pyro.6*

%config %xss_ad_dir/qix.xss
%xss_hack_dir/qix
%xss_conf_dir/qix.xml
%_man6dir/qix.6*

%config %xss_ad_dir/rd-bomb.xss
%xss_hack_dir/rd-bomb
%xss_conf_dir/rd-bomb.xml
%_man6dir/rd-bomb.6*

%config %xss_ad_dir/ripples.xss
%xss_hack_dir/ripples
%xss_conf_dir/ripples.xml
%_man6dir/ripples.6*

%config %xss_ad_dir/rocks.xss
%xss_hack_dir/rocks
%xss_conf_dir/rocks.xml
%_man6dir/rocks.6*

%config %xss_ad_dir/rorschach.xss
%xss_hack_dir/rorschach
%xss_conf_dir/rorschach.xml
%_man6dir/rorschach.6*

%config %xss_ad_dir/rotor.xss
%xss_hack_dir/rotor
%xss_conf_dir/rotor.xml
%_man6dir/rotor.6*

%config %xss_ad_dir/rotzoomer.xss
%xss_hack_dir/rotzoomer
%xss_conf_dir/rotzoomer.xml
%_man6dir/rotzoomer.6*

%config %xss_ad_dir/shadebobs.xss
%xss_hack_dir/shadebobs
%xss_conf_dir/shadebobs.xml
%_man6dir/shadebobs.6*

%config %xss_ad_dir/sierpinski.xss
%xss_hack_dir/sierpinski
%xss_conf_dir/sierpinski.xml
%_man6dir/sierpinski.6*

%config %xss_ad_dir/slidescreen.xss
%xss_hack_dir/slidescreen
%xss_conf_dir/slidescreen.xml
%_man6dir/slidescreen.6*

%config %xss_ad_dir/slip.xss
%xss_hack_dir/slip
%xss_conf_dir/slip.xml
%_man6dir/slip.6*

%config %xss_ad_dir/sonar.xss
%xss_hack_dir/sonar
%xss_conf_dir/sonar.xml
%_man6dir/sonar.6*

%config %xss_ad_dir/speedmine.xss
%xss_hack_dir/speedmine
%xss_conf_dir/speedmine.xml
%_man6dir/speedmine.6*

%config %xss_ad_dir/sphere.xss
%xss_hack_dir/sphere
%xss_conf_dir/sphere.xml
%_man6dir/sphere.6*

%config %xss_ad_dir/spiral.xss
%xss_hack_dir/spiral
%xss_conf_dir/spiral.xml
%_man6dir/spiral.6*

%config %xss_ad_dir/spotlight.xss
%xss_hack_dir/spotlight
%xss_conf_dir/spotlight.xml
%_man6dir/spotlight.6*

%config %xss_ad_dir/squiral.xss
%xss_hack_dir/squiral
%xss_conf_dir/squiral.xml
%_man6dir/squiral.6*

%config %xss_ad_dir/starfish.xss
%xss_hack_dir/starfish
%xss_conf_dir/starfish.xml
%_man6dir/starfish.6*

%config %xss_ad_dir/strange.xss
%xss_hack_dir/strange
%xss_conf_dir/strange.xml
%_man6dir/strange.6*

%config %xss_ad_dir/substrate.xss
%xss_hack_dir/substrate
%xss_conf_dir/substrate.xml
%_man6dir/substrate.6*

%config %xss_ad_dir/swirl.xss
%xss_hack_dir/swirl
%xss_conf_dir/swirl.xml
%_man6dir/swirl.6*

%config %xss_ad_dir/t3d.xss
%xss_hack_dir/t3d
%xss_conf_dir/t3d.xml
%_man6dir/t3d.6*

%config %xss_ad_dir/thornbird.xss
%xss_hack_dir/thornbird
%xss_conf_dir/thornbird.xml
%_man6dir/thornbird.6*

%config %xss_ad_dir/triangle.xss
%xss_hack_dir/triangle
%xss_conf_dir/triangle.xml
%_man6dir/triangle.6*

%config %xss_ad_dir/truchet.xss
%xss_hack_dir/truchet
%xss_conf_dir/truchet.xml
%_man6dir/truchet.6*

%config %xss_ad_dir/twang.xss
%xss_hack_dir/twang
%xss_conf_dir/twang.xml
%_man6dir/twang.6*

%config %xss_ad_dir/vermiculate.xss
%xss_hack_dir/vermiculate
%xss_conf_dir/vermiculate.xml
%_man6dir/vermiculate.6*

%config %xss_ad_dir/vidwhacker.xss
%xss_hack_dir/vidwhacker
%xss_conf_dir/vidwhacker.xml
%_man6dir/vidwhacker.6*

%config %xss_ad_dir/vines.xss
%xss_hack_dir/vines
%xss_conf_dir/vines.xml
%_man6dir/vines.6*

%config %xss_ad_dir/wander.xss
%xss_hack_dir/wander
%xss_conf_dir/wander.xml
%_man6dir/wander.6*

%config %xss_ad_dir/webcollage.xss
%xss_hack_dir/webcollage
#xss_hack_dir/webcollage-helper
%xss_conf_dir/webcollage.xml
%_man6dir/webcollage.6*

%config %xss_ad_dir/whirlwindwarp.xss
%xss_hack_dir/whirlwindwarp
%xss_conf_dir/whirlwindwarp.xml
%_man6dir/whirlwindwarp.6*

%config %xss_ad_dir/whirlygig.xss
%xss_hack_dir/whirlygig
%xss_conf_dir/whirlygig.xml
%_man6dir/whirlygig.6*

%config %xss_ad_dir/worm.xss
%xss_hack_dir/worm
%xss_conf_dir/worm.xml
%_man6dir/worm.6*

%config %xss_ad_dir/wormhole.xss
%xss_hack_dir/wormhole
%xss_conf_dir/wormhole.xml
%_man6dir/wormhole.6*

%config %xss_ad_dir/xanalogtv.xss
%xss_hack_dir/xanalogtv
%xss_conf_dir/xanalogtv.xml
%_man6dir/xanalogtv.6*

%config %xss_ad_dir/xflame.xss
%xss_hack_dir/xflame
%xss_conf_dir/xflame.xml
%_man6dir/xflame.6*

%config %xss_ad_dir/xjack.xss
%xss_hack_dir/xjack
%xss_conf_dir/xjack.xml
%_man6dir/xjack.6*

%config %xss_ad_dir/xlyap.xss
%xss_hack_dir/xlyap
%xss_conf_dir/xlyap.xml
%_man6dir/xlyap.6*

%config %xss_ad_dir/xmatrix.xss
%xss_hack_dir/xmatrix
%xss_conf_dir/xmatrix.xml
%_man6dir/xmatrix.6*

%config %xss_ad_dir/xrayswarm.xss
%xss_hack_dir/xrayswarm
%xss_conf_dir/xrayswarm.xml
%_man6dir/xrayswarm.6*

%config %xss_ad_dir/xspirograph.xss
%xss_hack_dir/xspirograph
%xss_conf_dir/xspirograph.xml
%_man6dir/xspirograph.6*

#config %xss_ad_dir/xsublim.xss
%xss_hack_dir/xsublim
%_man6dir/xsublim.6*

%config %xss_ad_dir/zoom.xss
%xss_hack_dir/zoom
%xss_conf_dir/zoom.xml
%_man6dir/zoom.6*

%files hacks-gl
%_bindir/%name-gl-helper
%_man6dir/%name-gl-helper.6*

%config %xss_ad_dir/antmaze.xss
%xss_hack_dir/antmaze
%xss_conf_dir/antmaze.xml
%_man6dir/antmaze.6*

%config %xss_ad_dir/antinspect.xss
%xss_hack_dir/antinspect
%xss_conf_dir/antinspect.xml
%_man6dir/antinspect.6*

%config %xss_ad_dir/antspotlight.xss
%xss_hack_dir/antspotlight
%xss_conf_dir/antspotlight.xml
%_man6dir/antspotlight.6*

%config %xss_ad_dir/atlantis.xss
%xss_hack_dir/atlantis
%xss_conf_dir/atlantis.xml
%_man6dir/atlantis.6*

%config %xss_ad_dir/atunnel.xss
%xss_hack_dir/atunnel
%xss_conf_dir/atunnel.xml
%_man6dir/atunnel.6*

%config %xss_ad_dir/blinkbox.xss
%xss_hack_dir/blinkbox
%xss_conf_dir/blinkbox.xml
%_man6dir/blinkbox.6*

%config %xss_ad_dir/blocktube.xss
%xss_hack_dir/blocktube
%xss_conf_dir/blocktube.xml
%_man6dir/blocktube.6*

%config %xss_ad_dir/boing.xss
%xss_hack_dir/boing
%xss_conf_dir/boing.xml
%_man6dir/boing.6*

%config %xss_ad_dir/bouncingcow.xss
%xss_hack_dir/bouncingcow
%xss_conf_dir/bouncingcow.xml
%_man6dir/bouncingcow.6*

%config %xss_ad_dir/boxed.xss
%xss_hack_dir/boxed
%xss_conf_dir/boxed.xml
%_man6dir/boxed.6*

%config %xss_ad_dir/bubble3d.xss
%xss_hack_dir/bubble3d
%xss_conf_dir/bubble3d.xml
%_man6dir/bubble3d.6*

%config %xss_ad_dir/cage.xss
%xss_hack_dir/cage
%xss_conf_dir/cage.xml
%_man6dir/cage.6*

%config %xss_ad_dir/carousel.xss
%xss_hack_dir/carousel
%xss_conf_dir/carousel.xml
%_man6dir/carousel.6*

%config %xss_ad_dir/circuit.xss
%xss_hack_dir/circuit
%xss_conf_dir/circuit.xml
%_man6dir/circuit.6*

%config %xss_ad_dir/crackberg.xss
%xss_hack_dir/crackberg
%xss_conf_dir/crackberg.xml
%_man6dir/crackberg.6*

%config %xss_ad_dir/cube21.xss
%xss_hack_dir/cube21
%xss_conf_dir/cube21.xml
%_man6dir/cube21.6*

%config %xss_ad_dir/cubenetic.xss
%xss_hack_dir/cubenetic
%xss_conf_dir/cubenetic.xml
%_man6dir/cubenetic.6*

%config %xss_ad_dir/cubestorm.xss
%xss_hack_dir/cubestorm
%xss_conf_dir/cubestorm.xml
%_man6dir/cubestorm.6*

%config %xss_ad_dir/dangerball.xss
%xss_hack_dir/dangerball
%xss_conf_dir/dangerball.xml
%_man6dir/dangerball.6*

%config %xss_ad_dir/endgame.xss
%xss_hack_dir/endgame
%xss_conf_dir/endgame.xml
%_man6dir/endgame.6*

%config %xss_ad_dir/engine.xss
%xss_hack_dir/engine
%xss_conf_dir/engine.xml
%_man6dir/engine.6*

%config %xss_ad_dir/extrusion.xss
%xss_hack_dir/extrusion
%xss_conf_dir/extrusion.xml
%_man6dir/extrusion.6*

%config %xss_ad_dir/flipflop.xss
%xss_hack_dir/flipflop
%xss_conf_dir/flipflop.xml
%_man6dir/flipflop.6*

%config %xss_ad_dir/flipscreen3d.xss
%xss_hack_dir/flipscreen3d
%xss_conf_dir/flipscreen3d.xml
%_man6dir/flipscreen3d.6*

%config %xss_ad_dir/fliptext.xss
%xss_hack_dir/fliptext
%xss_conf_dir/fliptext.xml
%_man6dir/fliptext.6*

%config %xss_ad_dir/flurry.xss
%xss_hack_dir/flurry
%xss_conf_dir/flurry.xml
%_man6dir/flurry.6*

%config %xss_ad_dir/flyingtoasters.xss
%xss_hack_dir/flyingtoasters
%xss_conf_dir/flyingtoasters.xml
%_man6dir/flyingtoasters.6*

%config %xss_ad_dir/gears.xss
%xss_hack_dir/gears
%xss_conf_dir/gears.xml
%_man6dir/gears.6*

%config %xss_ad_dir/gflux.xss
%xss_hack_dir/gflux
%xss_conf_dir/gflux.xml
%_man6dir/gflux.6*

%config %xss_ad_dir/glblur.xss
%xss_hack_dir/glblur
%xss_conf_dir/glblur.xml
%_man6dir/glblur.6*

%config %xss_ad_dir/gleidescope.xss
%xss_hack_dir/gleidescope
%xss_conf_dir/gleidescope.xml
%_man6dir/gleidescope.6*

%config %xss_ad_dir/glforestfire.xss
%xss_hack_dir/glforestfire
%xss_conf_dir/glforestfire.xml
%_man6dir/glforestfire.6*

%config %xss_ad_dir/glhanoi.xss
%xss_hack_dir/glhanoi
%xss_conf_dir/glhanoi.xml
%_man6dir/glhanoi.6*

%config %xss_ad_dir/glknots.xss
%xss_hack_dir/glknots
%xss_conf_dir/glknots.xml
%_man6dir/glknots.6*

%config %xss_ad_dir/glmatrix.xss
%xss_hack_dir/glmatrix
%xss_conf_dir/glmatrix.xml
%_man6dir/glmatrix.6*

%config %xss_ad_dir/glplanet.xss
%xss_hack_dir/glplanet
%xss_conf_dir/glplanet.xml
%_man6dir/glplanet.6*

%config %xss_ad_dir/glschool.xss
%xss_hack_dir/glschool
%xss_conf_dir/glschool.xml
%_man6dir/glschool.6*

%config %xss_ad_dir/glslideshow.xss
%xss_hack_dir/glslideshow
%xss_conf_dir/glslideshow.xml
%_man6dir/glslideshow.6*

%config %xss_ad_dir/glsnake.xss
%xss_hack_dir/glsnake
%xss_conf_dir/glsnake.xml
%_man6dir/glsnake.6*

%config %xss_ad_dir/gltext.xss
%xss_hack_dir/gltext
%xss_conf_dir/gltext.xml
%_man6dir/gltext.6*

%config %xss_ad_dir/hypertorus.xss
%xss_hack_dir/hypertorus
%xss_conf_dir/hypertorus.xml
%_man6dir/hypertorus.6*

%config %xss_ad_dir/jigglypuff.xss
%xss_hack_dir/jigglypuff
%xss_conf_dir/jigglypuff.xml
%_man6dir/jigglypuff.6*

%config %xss_ad_dir/juggler3d.xss
%xss_hack_dir/juggler3d
%xss_conf_dir/juggler3d.xml
%_man6dir/juggler3d.6*

%config %xss_ad_dir/klein.xss
%xss_hack_dir/klein
%xss_conf_dir/klein.xml
%_man6dir/klein.6*

%config %xss_ad_dir/lament.xss
%xss_hack_dir/lament
%xss_conf_dir/lament.xml
%_man6dir/lament.6*

%config %xss_ad_dir/lavalite.xss
%xss_hack_dir/lavalite
%xss_conf_dir/lavalite.xml
%_man6dir/lavalite.6*

%config %xss_ad_dir/menger.xss
%xss_hack_dir/menger
%xss_conf_dir/menger.xml
%_man6dir/menger.6*

%config %xss_ad_dir/mirrorblob.xss
%xss_hack_dir/mirrorblob
%xss_conf_dir/mirrorblob.xml
%_man6dir/mirrorblob.6*

%config %xss_ad_dir/moebius.xss
%xss_hack_dir/moebius
%xss_conf_dir/moebius.xml
%_man6dir/moebius.6*

%config %xss_ad_dir/molecule.xss
%xss_hack_dir/molecule
%xss_conf_dir/molecule.xml
%_man6dir/molecule.6*

%config %xss_ad_dir/morph3d.xss
%xss_hack_dir/morph3d
%xss_conf_dir/morph3d.xml
%_man6dir/morph3d.6*

%config %xss_ad_dir/noof.xss
%xss_hack_dir/noof
%xss_conf_dir/noof.xml
%_man6dir/noof.6*

%config %xss_ad_dir/pinion.xss
%xss_hack_dir/pinion
%xss_conf_dir/pinion.xml
%_man6dir/pinion.6*

%config %xss_ad_dir/pipes.xss
%xss_hack_dir/pipes
%xss_conf_dir/pipes.xml
%_man6dir/pipes.6*

%config %xss_ad_dir/polyhedra.xss
%xss_hack_dir/polyhedra
%xss_conf_dir/polyhedra.xml
%_man6dir/polyhedra.6*

%config %xss_ad_dir/polytopes.xss
%xss_hack_dir/polytopes
%xss_conf_dir/polytopes.xml
%_man6dir/polytopes.6*

%config %xss_ad_dir/providence.xss
%xss_hack_dir/providence
%xss_conf_dir/providence.xml
%_man6dir/providence.6*

%config %xss_ad_dir/pulsar.xss
%xss_hack_dir/pulsar
%xss_conf_dir/pulsar.xml
%_man6dir/pulsar.6*

%config %xss_ad_dir/queens.xss
%xss_hack_dir/queens
%xss_conf_dir/queens.xml
%_man6dir/queens.6*

%config %xss_ad_dir/rubik.xss
%xss_hack_dir/rubik
%xss_conf_dir/rubik.xml
%_man6dir/rubik.6*

%config %xss_ad_dir/sballs.xss
%xss_hack_dir/sballs
%xss_conf_dir/sballs.xml
%_man6dir/sballs.6*

%config %xss_ad_dir/sierpinski3d.xss
%xss_hack_dir/sierpinski3d
%xss_conf_dir/sierpinski3d.xml
%_man6dir/sierpinski3d.6*

%config %xss_ad_dir/spheremonics.xss
%xss_hack_dir/spheremonics
%xss_conf_dir/spheremonics.xml
%_man6dir/spheremonics.6*

%config %xss_ad_dir/sproingies.xss
%xss_hack_dir/sproingies
%xss_conf_dir/sproingies.xml
%_man6dir/sproingies.6*

%config %xss_ad_dir/stairs.xss
%xss_hack_dir/stairs
%xss_conf_dir/stairs.xml
%_man6dir/stairs.6*

%config %xss_ad_dir/starwars.xss
%xss_hack_dir/starwars
%xss_conf_dir/starwars.xml
%_man6dir/starwars.6*

%config %xss_ad_dir/stonerview.xss
%xss_hack_dir/stonerview
%xss_conf_dir/stonerview.xml
%_man6dir/stonerview.6*

%config %xss_ad_dir/superquadrics.xss
%xss_hack_dir/superquadrics
%xss_conf_dir/superquadrics.xml
%_man6dir/superquadrics.6*

%config %xss_ad_dir/tangram.xss
%xss_hack_dir/tangram
%xss_conf_dir/tangram.xml
%_man6dir/tangram.6*

%config %xss_ad_dir/timetunnel.xss
%xss_hack_dir/timetunnel
%xss_conf_dir/timetunnel.xml
%_man6dir/timetunnel.6*

%config %xss_ad_dir/topblock.xss
%xss_hack_dir/topblock
%xss_conf_dir/topblock.xml
%_man6dir/topblock.6*

%changelog
* Sun Sep 24 2006 Sir Raorn <raorn@altlinux.ru> 5.01-alt1
- [5.00]
- All patches merged in git repository

* Wed May 24 2006 Sir Raorn <raorn@altlinux.ru> 5.00-alt1
- [5.00]
- Removed patches:
  + cyrilm-alt-maze_walk.patch (unsupported)
- New hacks:
  + glschool (GL)
  + topblock (GL)
- Removed hacks:
  + xteevee (superceded by xanalogtv)

* Sun Feb 12 2006 Sir Raorn <raorn@altlinux.ru> 4.24-alt1
- [4.24]

* Sat Jan 28 2006 Sir Raorn <raorn@altlinux.ru> 4.23-alt2
- Rebuilt with new Xorg, buildreqs updated
- Do not generate menu file
- Removed compatibility symlinks to %%_x11bindir

* Sat Oct 22 2005 Sir Raorn <raorn@altlinux.ru> 4.23-alt1
- [4.23]
- Removed patches:
  + alt-double-free (merged upstream)
- %%_x11bindir links made relative
- New hacks:
  + celtic
  + cube21 (GL)
  + glhanoi (GL)
  + juggler3d (GL)
  + timetunnel (GL)
- Removed hacks:
  + ant

* Fri Aug 12 2005 Sir Raorn <raorn@altlinux.ru> 4.22-alt2
- Eliminated double-free in xscreensaver-demo
- Added compatibility symlinks to xscreensaver, xscreensaver-command
  and xscreensaver-demo (closes: #7617)
- Reviewed %%update_xscreensaver and %%clean_xscreensaver macros to
  run only after uninstall of old package

* Tue Aug 02 2005 Sir Raorn <raorn@altlinux.ru> 4.22-alt1
- [4.22]
- Updated patches:
  + alt-mdk-oneshot
  + alt-perl-disable-diagnostics
- New filesystem layout:
  + /usr/X11R6/bin -> /usr/bin
  + /usr/X11R6/lib/xscreensaver -> /usr/libexec/xscreensaver
  + /usr/X11R6/lib/xscreensaver/config -> /usr/share/xscreensaver/config
- gnome subpackage removed (ancient GNOME versions support dropped in upstream)
- contrib subpackage removed (xml files for foreign hacks was dropped
  in upstream, *.xss files comes into main package)
- New hacks:
  + antmaze (GL)
  + crackberg (GL)
  + fliptext (GL)
  + interaggregate
  + tangram (GL)

* Sun Feb 27 2005 Sir Raorn <raorn@altlinux.ru> 4.20-alt1
- [4.20]
- Removed obsolete GNOME stuff
- Removed KDE support (it doesn't work with KDE3 anyway)
- Use freedesktop2menu.pl for menu generation
- New hacks:
  boing (GL)
  boxfit
  carousel (GL)
  fiberlamp

* Thu Dec 16 2004 Sir Raorn <raorn@altlinux.ru> 4.19-alt1
- [4.19]
- Disabled buggy MIT-SCREEN-SAVER extension
- New hacks:
  fireworkx
  intermomentary
  pinion (GL)
  substrate

* Mon Oct 04 2004 Sir Raorn <raorn@altlinux.ru> 4.18-alt2
- Fixed typo in providence.xss (closes: #5280)

* Mon Aug 16 2004 Sir Raorn <raorn@altlinux.ru> 4.18-alt1
- [4.18]
- New hacks:
  anemotaxis
  memscroller

* Thu May 13 2004 Sir Raorn <raorn@altlinux.ru> 4.16-alt1
- [4.16]
- Fix deps in -kde (kdebase -> kdebase-common)
- Spec cleanup
- New hacks:
  antinspect (GL)
  fuzzyflakes
  polyhedra (GL)
  providence (GL)

* Tue Mar 02 2004 Sir Raorn <raorn@altlinux.ru> 4.15-alt1
- [4.15]
- New hacks:
  mismunch
  noof (GL)
  pacman
  wormhole

* Sun Nov 09 2003 Sir Raorn <raorn@altlinux.ru> 4.14-alt2
- Fixed insecure tempfile handling

* Tue Oct 28 2003 Sir Raorn <raorn@altlinux.ru> 4.14-alt1
- [4.14]
- New hacks:
  apple2
  blinkbox (GL)
  fontglide
  gleidescope (GL)
  mirrorblob (GL)
  pong
  xanalogtv

* Mon Sep 22 2003 Sir Raorn <raorn@altlinux.ru> 4.13-alt1
- [4.13]
- ljlatest helper (fortune(6) replacement - see man ljlatest)

* Sat Sep 06 2003 Sir Raorn <raorn@altlinux.ru> 4.12-alt1
- [4.12]
- New hacks:
  antspotlight (GL)
  fireflies (contrib)
  flipflop (GL)
  polytopes (GL)

* Wed Jul 02 2003 Sir Raorn <raorn@altlinux.ru> 4.11-alt1
- [4.11]
- Updated patches:
  alt-pam_userpass
  alt-encoding
  alt-glplanet-args
  alt-perl-disable-diagnostics
- New hacks:
  blocktube (GL)
  cloudlife
  cubestorm (GL)
  glknots (GL)
  glmatrix (GL)
  hypertorus (GL)
  klein (GL)

* Sat May 17 2003 Sir Raorn <raorn@altlinux.ru> 4.09-alt3
- Dropped pixbuf support (this removes daemon's dependency to
  libgtk+2)
- netpbm and libjpeg-utils are *required* by webcollage (-hacks)
- fortune-mod is really required by noseguy, phosphor and
  starwars (-hacks and -hacks-gl)

* Sat May 10 2003 Sir Raorn <raorn@altlinux.ru> 4.09-alt2
- xscreensaver-demo moved to -frontend subpackage
- Added xscreensaver-demo menu entry

* Mon Apr 14 2003 Sir Raorn <raorn@altlinux.ru> 4.09-alt1
- [4.09]
- Updated BuildRequires
- Split to xscreensaver, xscreensaver-hacks and xscreensaver-hacks-gl
- Replace chbg with xli in Requires
- Ignore missing hacks by default (suggested by rider)
- Use MIT-SCREEN-SAVER by default if available
- Set .loadURL program to url_handler.sh from urlview package
- Set .manualCommand to xvt ... -e sh -c man (get rid of fscking yelp)
- Fix glplanet's config and manpage (closes #0002399)
- Do not 'use diagnostics' in perl scripts since it (indirectly)
  requires perl-pod (reported by dfo)
- Split XScreenSaver AD to pieces 
  update-xscreensaver script
- RPM macros (in -devel)
- New hacks:
  bouncingcow (GL)
  extrusion (GLE)
  flyingtoasters (GL)
  glslideshow (GL)
  jigglypuff (GL)

* Mon Mar 10 2003 Sir Raorn <raorn@altlinux.ru> 4.08-alt1
- [4.08]
- mesa_version patch is no longer needed
- New hacks:
  atunnel (GL)
  barcode
  eruprion
  flurry (GL)
  metaballs
  piecewise
  popsquares
- Fix icon in -gnome
- XScreenSaver AD is no longer "noreplace"

* Tue Nov 19 2002 Sir Raorn <raorn@altlinux.ru> 4.06-alt2
- Added -contrib package
- Fixed filelist (all work and no sleep makes raorn a dull boy)
- Patch by Cyril "Sir Kot" Margorin <cyrilm@immo.ru>:
  Walk through Maze after solving it

* Sun Nov 17 2002 Sir Raorn <raorn@altlinux.ru> 4.06-alt1
- [4.06]
- Specfile rewritten from scratch
- Patches from 4.00-alt3:
  oneshot
  pam_userpass
  progname
- KDE and GNOME control panel applets
